Skip to main content
POST
/
workspaces
/
{workspace_id}
/
agent
/
channels
/
tokens
/
slack
/
oauth
/
start
Error
A valid request URL is required to generate request examples
{
  "authorization_url": "<string>",
  "token": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_preset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "channel_type": "slack",
    "config": {
      "slack_bot_token": "<string>",
      "slack_signing_secret": "<string>",
      "slack_client_id": "<string>",
      "slack_client_secret": "<string>"
    },
    "is_active": true,
    "public_token": "<string>",
    "endpoint_url": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Request schema for starting Slack OAuth install flow.

agent_preset_id
string<uuid>
required

Agent preset to associate with the channel token.

client_id
string
required

Slack app client ID

Minimum string length: 1
client_secret
string
required

Slack app client secret

Minimum string length: 1
signing_secret
string
required

Slack app signing secret

Minimum string length: 1
return_url
string
required

URL to return users to after OAuth callback

Minimum string length: 1
token_id
string<uuid> | null

Existing channel token ID. If omitted, creates one.

Response

Successful Response

Response schema for Slack OAuth start.

authorization_url
string
required
token
AgentChannelTokenRead · object
required

Response schema for an external channel token.